"""create table for cities
Revision ID: 7f8dc3a4b9c1
Revises: 0001
Create Date: 2023-05-25 12:34:56

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '7f8dc3a4b9c1'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "cities"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('state', sa.String(), nullable=False),
        sa.Column('country', sa.String(), nullable=True, server_default='Nigeria'),
        sa.Column('population', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_cities_name', 'name')
    )

def downgrade():
    table_name = "cities"
    op.drop_table(table_name)