from fastapi import APIRouter, Depends
from typing import List
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.city import CitySchema
from helpers.city_helpers import get_random_cities_in_nigeria

router = APIRouter()

@router.get("/nigeria-states", status_code=200, response_model=List[CitySchema])
async def get_random_cities(
    limit: int = 10,
    db: Session = Depends(get_db)
):
    cities = get_random_cities_in_nigeria(db=db, limit=limit)
    return cities